#
# Makefile for the UNO DIO device drivers.
#
# Advantech eAutomation Division Copyright 2007
#
TOOLS=

ADVMOD := advwdt627
 
UNAME := $(shell uname -r)
ifeq "$(UNAME)""2.4.27-2-386" 
LINUX_SRC= /usr/src/kernel-headers-2.4.27-2-386
else 
LINUX_SRC= /usr/src/linux-2.4
endif

ARCH_FLAGS=    $(I386_FLAGS)

INCL_FLAGS=  -I. -I$(LINUX_SRC)/include
DEF_FLAGS=   -D__KERNEL__ -DLINUX -DLOCAL_HEADERS -DEXPORT_SYMTAB 
I386_FLAGS=  -march=i686 -O2 -Wall 
CFLAGS=	     $(ARCH_FLAGS) $(INCL_FLAGS) $(DEF_FLAGS) -DMODULE
CC=          gcc

default: $(ADVMOD).o 

$(ADVMOD).o: $(ADVMOD).c
	$(CC) $(CFLAGS) -c $(ADVMOD).c

install:default 
	$(shell if grep $(ADVMOD) /proc/modules > /dev/null ; then \
         rmmod $(ADVMOD) ; fi)
	$(shell [ -c /dev/watchdog ] && rm -f /dev/watchdog)
	@insmod $(ADVMOD).o    
	@mknod /dev/watchdog c 10 130

uninstall:
	$(shell if grep $(ADVMOD) /proc/modules > /dev/null ; then \
        rmmod $(ADVMOD) ; fi)
	$(shell [ -c /dev/watchdog ] && rm -f /dev/watchdog)

clean:
	@rm -f *.o
	@rm -f *.ko
	@rm -f *.mod.c
	@rm -rf *~
	@rm -rf Module.*
