#
# Makefile for the UNO DIO device drivers.
#
# Advantech eAutomation Division
#

obj-m := advwdt311x.o
UNAME := $(shell uname -r)
PWD := $(shell pwd)
ADVMOD := advwdt311x

default:
	@make -C /lib/modules/$(UNAME)/build SUBDIRS=$(PWD) modules

install: default
	$(shell if grep $(ADVMOD) /proc/modules > /dev/null ; then \
	 rmmod $(ADVMOD) ; fi)
	$(shell [ -c /dev/watchdog ] && rm -f /dev/watchdog)
	@insmod $(ADVMOD).ko
	@sleep 1
	$(shell [ ! -f /dev/watchdog ] && mknod /dev/watchdog c 10 130)
		
uninstall:
	$(shell if grep $(ADVMOD) /proc/modules > /dev/null ; then \
	 rmmod $(ADVMOD) ; fi)
	$(shell [ -c /dev/watchdog ] && rm -f /dev/watchdog)
	@echo ""

clean:
	@rm -f *.o
	@rm -f *.ko
	@rm -f *.mod.c
	@rm -f .*.cmd
	@rm -rf .tmp_versions
	@rm -rf Module.*
	@rm -rf *~
